import javax.media.*;

public class rtpRecordTimer extends Thread {

    private rtspClient m_client = null;
    private double m_ms = 0;
    private boolean m_done = false;
    private boolean m_paused = false;

    public rtpRecordTimer(rtspClient client)
    {
        m_client = client;
    }

    public void setDone()
    {
        m_done = true;
    }

    public void pauseTimer(boolean pause)
    {
        m_paused = pause;
    }

    public void run()
    {
        try {
            while (m_done == false) {
                if (m_ms > 0 && m_paused == false ) {
                    m_client.updateMediaTime(m_ms/1000);
                }
                Thread.sleep(100);
                if ( m_paused == false) {
                    m_ms+=100;
                }
            }
        }
        catch ( Exception ex) {
            System.err.println("Error in timer :" + ex.toString());
        }
    }

}
