import javax.media.*;

public class rtpPlayTimer extends Thread {

    private rtspClient m_client = null;
    private Player m_player = null;
    private boolean m_done = false;

    public rtpPlayTimer(rtspClient client, Player player)
    {
        m_client = client;
        m_player = player;
    }

    public void setDone()
    {
        m_done = true;
    }

    public void run()
    {
        try {
            while (m_done == false) {
                double time=m_player.getMediaTime().getSeconds();
                if (time > 0.1) {
                    m_client.updateMediaTime( time);
                }
                Thread.sleep(100);
            }
        }
        catch ( Exception ex) {
            System.err.println("Error in timer :" + ex.toString());
        }
    }
}
